Subject: Bug#1225: x2goclient / pyhoca does not honor ProxyJump in .ssh/config

From: Filip Krikava <[email-masked]>
Date: Tue, 17 Oct 2017 15:01:28 +0200

Package: x2goclient;
Version: 4.1.0.0

Due to the configuration of the university network, I have to first connect
to a frontend, then to a node and then to a VM. To make this easy to use, I
set ProxyJump in my .ssh/config. This works really well for ssh. However,
it does not seem to be recognized by x2go. I have to manually tunnel the
ssh port from the VM on my localhost to be able to connect there via x2go.
The same is for pyhoca-cli 0.5.0.3.